Bug 38714 - Installation confused by bad (ro) filesystem
Installation confused by bad (ro) filesystem
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
low Severity low
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-02 02:37 EDT by Kenneth Corbin
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-14 16:24:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kenneth Corbin 2001-05-02 02:37:22 EDT
Durring my upgrade installation, I was confused when the installer said I
had a bad filesystem and that I should reboot linux to correct it before
starting the install again.  But rebooting my linux system didn't fix
anything.   Problem turned out to be a corrupt ext2 filesystem that I was
keeping as a backup from a previous version.  I have it flagged in fstab as
readonly to protect it from being corrupted, and have the last field set to
zero because it don't care overly much about it's integrity.   So the
installation kept saying that it was bad while the regualar linux boot just
ignored it.   The installer was obviously reading fstab and probably should
have picked up on the last field being zero.
Comment 1 Brent Fox 2001-05-02 11:39:12 EDT
Did your backup partition have an /etc/fstab file in it?
Comment 2 Kenneth Corbin 2001-05-02 19:36:12 EDT
Yes, the backup partion would have had an /etc/fstab file that was identical to
the one in the primary partition, that is the one that was being upgraded.
Comment 3 Brent Fox 2001-05-03 11:36:08 EDT
Oh, that's the problem...the installer scans the hard drive for linux
partitions...any ones that have an /etc/fstab file are considered partitions
that contain a "/" partition.  If you rename the /etc/fstab on your backup
partition to /etc/fstab.bak, do things work?
Comment 4 Brent Fox 2001-05-14 16:24:13 EDT
Closing due to inactivity.  Please reopen if you have more information.


Note You need to log in before you can comment on or make changes to this bug.